Orxonox: orxonox::GlobalShader Class Reference

# orxonox::GlobalShader Class Reference

`#include <src/orxonox/objects/GlobalShader.h>`

Inheritance diagram for orxonox::GlobalShader:

List of all members.

## Public Member Functions

virtual void | changedVisibility ()
| This function gets called if the visibility of the object changes.
const Shader & | getShader () const
| GlobalShader (BaseObject *creator)
void | registerVariables ()
virtual void | XMLPort (Element &xmlelement, XMLPort::Mode mode)
| XML loading and saving.
virtual | ~GlobalShader ()

## Private Member Functions

void | changedCompositor ()

## Private Attributes

Shader | shader_

## Constructor & Destructor Documentation

orxonox::GlobalShader::GlobalShader | ( | BaseObject * | creator | ) |

References orxonox::BaseObject::getScene(), RegisterObject, registerVariables(), orxonox::Shader::setSceneManager(), shader_, and ThrowException.

orxonox::GlobalShader::~GlobalShader | ( |  | ) | `[virtual]`

## Member Function Documentation

void orxonox::GlobalShader::changedCompositor | ( |  | ) | `[private]`

void orxonox::GlobalShader::changedVisibility | ( |  | ) | `[virtual]`

This function gets called if the visibility of the object changes.

Reimplemented from orxonox::BaseObject.

References orxonox::BaseObject::isVisible(), orxonox::Shader::setVisible(), shader_, and SUPER.

Referenced by registerVariables().

const Shader& orxonox::GlobalShader::getShader | ( |  | ) | const`[inline]`

void orxonox::GlobalShader::registerVariables | ( |  | ) |

References orxonox::BaseObject::bVisible_, orxonox::Shader::changedCompositor(), changedVisibility(), orxonox::Shader::getCompositor(), orxonox::Synchronisable::registerVariable(), shader_, and orxonox::VariableDirection::ToClient.

Referenced by GlobalShader().

void orxonox::GlobalShader::XMLPort | ( | Element & | xmlelement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[virtual]`

XML loading and saving.

Parameters:

  | xmlelement | The XML-element
  | loading | Loading (true) or saving (false)

Returns:
  The XML-element

Reimplemented from orxonox::BaseObject.

References shader_, SUPER, and XMLPortParamExtern.

## Member Data Documentation

Shader orxonox::GlobalShader::shader_`[private]`

Referenced by changedVisibility(), GlobalShader(), registerVariables(), and XMLPort().

The documentation for this class was generated from the following files:

- src/orxonox/objects/GlobalShader.h
- src/orxonox/objects/GlobalShader.cc